sc::NewtonOpt(3)

NAME
sc::NewtonOpt -

SYNOPSIS

Inherits sc::Optimize.

  Public Member Functions
NewtonOpt (const Ref< KeyVal > &)
NewtonOpt (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void init ()
Initialize the optimizer.
int update ()
Take a step.

  Protected Attributes
double maxabs_gradient
double accuracy_
int print_hessian_
int print_x_
int print_gradient_

  Additional Inherited Members

Member Function Documentation

  void sc::NewtonOpt::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

  int sc::NewtonOpt::update () [virtual]

Take a step. Returns 1 if the optimization has converged, otherwise 0.

Implements sc::Optimize.

Author

Generated automatically by Doxygen for MPQC from the source code.